Bug 1020043 - SELinux is preventing /usr/bin/ruby-mri from 'block_suspend' accesses on the capability2 .
SELinux is preventing /usr/bin/ruby-mri from 'block_suspend' accesses on the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c6a0af3d77c77be5c154c69ed8f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 16:56 EDT by Renich Bon Ciric
Modified: 2013-11-04 21:52 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:52:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2013-10-16 16:56:18 EDT
Description of problem:
I restarted nginx. I suppose a thin-enabled website caused this. Thin is a ruby application server.
SELinux is preventing /usr/bin/ruby-mri from 'block_suspend' accesses on the capability2 .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ruby-mri should be allowed block_suspend access on the  capability2 by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ruby-mri /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:thin_t:s0
Target Context                system_u:system_r:thin_t:s0
Target Objects                 [ capability2 ]
Source                        ruby-mri
Source Path                   /usr/bin/ruby-mri
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ruby-2.0.0.247-15.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.9.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-201.fc19.x86_64 #1 SMP Thu
                              Oct 10 14:11:18 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-10-16 15:54:55 CDT
Last Seen                     2013-10-16 15:54:55 CDT
Local ID                      978de627-f084-4cea-9cfa-bfe544beb69e

Raw Audit Messages
type=AVC msg=audit(1381956895.276:732): avc:  denied  { block_suspend } for  pid=434 comm="ruby-mri" capability=36  scontext=system_u:system_r:thin_t:s0 tcontext=system_u:system_r:thin_t:s0 tclass=capability2


type=SYSCALL msg=audit(1381956895.276:732): arch=x86_64 syscall=epoll_ctl success=yes exit=0 a0=9 a1=2 a2=a a3=3ba51c0 items=0 ppid=1 pid=434 auid=4294967295 uid=0 gid=996 euid=0 suid=0 fsuid=0 egid=996 sgid=996 fsgid=996 ses=4294967295 tty=(none) comm=ruby-mri exe=/usr/bin/ruby-mri subj=system_u:system_r:thin_t:s0 key=(null)

Hash: ruby-mri,thin_t,thin_t,capability2,block_suspend

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-10-17 09:28:56 EDT
30af35c2caee9d073e223a07b712d67f0b177552 allows this in git.
Comment 2 Lukas Vrabec 2013-10-18 03:58:36 EDT
back ported to f19 branch.
Comment 3 Fedora Update System 2013-10-23 07:37:50 EDT
selinux-policy-3.12.1-74.11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.11.fc19
Comment 4 Fedora Update System 2013-10-23 20:52:39 EDT
Package selinux-policy-3.12.1-74.11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19794/selinux-policy-3.12.1-74.11.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-04 21:52:21 EST
selinux-policy-3.12.1-74.11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.